require 'rubygems'
gem 'rake'

namespace :doc do
  desc "Generate documentation for the application"  
  task :app do
    rm_rf('doc/app')
    `rdoc -o doc/app --title 'Billygoat Documentation' -N -S --charset utf-8 -w 2 --include doc/INSTALL doc/LICENSE doc/README lib/*.rb`
  end
end

desc "Run all RSpec specifications"
task :spec do
  sh "spec spec -O spec/spec.opts"
end

namespace :spec do
  desc "Runs the RSpec model examples"  
  task :models do
    sh "spec spec/models -O spec/spec.opts"
  end
  
  desc "Runs the RSpec view examples"  
  task :views do
    sh "spec spec/views -O spec/spec.opts"
  end
  
  desc "Runs the RSpec examples for models and views"
  task :all => [:models, :views]
  
  desc "Runs the RSpec stories"
  task :stories do
    sh "spec spec/stories -O spec/spec.opts"
  end
end